Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v3
Class LatestUpdateListType

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v3.LatestUpdateListType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-10-16T01:46:45+02:00",
               comments="JAXB RI v2.2.11")
    public class LatestUpdateListType

extends Object
implements Serializable

Java class for LatestUpdateListType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="LatestUpdateListType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="latestupdate" maxOccurs="unbounded" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="patient" type="{http://www.ehealth.fgov.be/hubservices/core/v3}PatientIdType"/>
                       <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-TRANSACTION"/>
                       <element name="version" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
                       <element name="createdatetime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
                       <element name="updatedatetime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`LatestUpdateListType()`

Method Summary
`List<Latestupdate>` | `getLatestupdates()` Gets the value of the latestupdates property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LatestUpdateListType

    public LatestUpdateListType()

Method Detail

### getLatestupdates

    public List<Latestupdate> getLatestupdates()

  Gets the value of the latestupdates property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the latestupdates property.

  For example, to add a new item, do as follows:

          getLatestupdates().add(newItem);

  Objects of the following type(s) are allowed in the list `Latestupdate`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.